/**
 *  Copyright (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  Licensed under the GPL, Version 3.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.gnu.org/licenses/gpl.html
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * --------------------------------------------------------------------------
 *  版权 (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  本开源软件遵循 GPL 3.0 协议;
 *  如果您不遵循此协议，则不被允许使用此文件。
 *  你可以从下面的地址获取完整的协议文本
 *
 *       http://www.gnu.org/licenses/gpl.html
 */
package org.tinygroup.function;

/**
 * 方法接口，通过方法接口，可以对工作流管理器中的函数进行扩展
 * 
 * @author luoguo
 * 
 * @param <R>返回值类型
 */
public interface Function<R> {
	/**
	 * 返回函数名
	 * 
	 * @return
	 */
	String getName();

	/**
	 * 返回是否应该由此类进行处理
	 * 
	 * @param parameters
	 * @return
	 */
	boolean isMatch(Object... parameters);

	/**
	 * 执行方法
	 * 
	 * @param parameters
	 * @return
	 */
	R execute(Object... parameters);
}
